<section class="calculator-area-2 dark_mode_sec_wrap">
    <div class="calculator-widget-2">
        <div class="row gy-lg-0 gy-3">
            <div class="col-lg-7">
                <div class="single-calculator-widget wow fadeInUp" data-wow-delay="0.1s">
                    <h4><?php esc_html_e('Loan Calculator', 'banca-core'); ?></h4>
                    <div class="range-label mt-40"><?php esc_html_e('Loan Term', 'banca-core'); ?></div>
                    <nav>
                        <div class="nav nav-tabs loan-type-select" id="nav-tab" role="tablist">
                            <?php
                            if (!empty($yearly_tab_title1) ) {
                                ?>
                                <button class="nav-link active" id="yearTab-tab" data-bs-toggle="tab"
                                        data-bs-target="#yearTab" type="button" role="tab" aria-controls="yearTab"
                                        aria-selected="false">
                                    <?php echo esc_html($yearly_tab_title1); ?>
                                </button>
                                <?php
                            }
                            if (!empty($monthly_tab_title1) ) {
                                ?>
                                <button class="nav-link " id="monthTab-tab" data-bs-toggle="tab"
                                        data-bs-target="#monthTab" type="button" role="tab" aria-controls="monthTab"
                                        aria-selected="false"><?php echo esc_html($monthly_tab_title1); ?>
                                </button>
                                <?php
                            }
                            if (!empty($weekly_tab_title1) ) {
                                ?>
                                <button class="nav-link" id="weekTab-tab" data-bs-toggle="tab"
                                        data-bs-target="#weekTab" type="button" role="tab" aria-controls="weekTab"
                                        aria-selected="false"><?php echo esc_html($weekly_tab_title1) ?>
                                </button>
                                <?php
                            }
                            ?>
                        </div>
                    </nav>

                    <div class="range-label"><?php esc_html_e('Loan Amount', 'banca-core'); ?></div>
                    <div class="single-range">
                        <div id="RangeSlider"></div>
                        <div class="input-group">
                            <input class="noTextMerge" type="text" id="SetRange">
                            <span class="input-group-text"><?php echo esc_attr($currency) ?></span>
                        </div>
                    </div>

                    <div class="range-label"><?php esc_html_e('Interest Rate', 'banca-core'); ?></div>
                    <div class="single-range">
                        <div id="RoiRangeSlider"></div>
                        <div class="input-group">
                            <input type="text" id="SetRoiRange">
                            <span class="input-group-text"><?php esc_html_e('%', 'banca-core'); ?></span>
                        </div>
                    </div>

                    <div class="range-label"><?php esc_html_e('Loan Duration', 'banca-core'); ?></div>
                    <div class="single-range">
                        <div class="tab-content">
                            <div class="tab-pane fade show active" id="yearTab" role="tabpanel"
                                 aria-labelledby="yearTab">
                                <div id="YearRangeSlider"></div>
                            </div>
                            <div class="tab-pane fade " id="monthTab" role="tabpanel"
                                 aria-labelledby="monthTab">
                                <div id="MonthRangeSlider"></div>
                            </div>
                            <div class="tab-pane fade" id="weekTab" role="tabpanel"
                                 aria-labelledby="weekTab">
                                <div id="WeekRangeSlider"></div>
                            </div>
                        </div>
                        <div class="input-group">
                            <input class="noTextMerge" type="text" id="SetMonthRange">
                            <span class="input-group-text loanTermIndicator"><?php esc_html_e('@example.com', 'banca-core'); ?></span>
                        </div>
                    </div>

                    <div class="d-flex loan-start-date">
                        <div>
                            <div class="range-label"><?php esc_html_e('Start Date', 'banca-core'); ?></div>
                            <div class="inp-container">
                                <input type="text" id="loanStartDate" placeholder="Select Date">
                            </div>
                        </div>
                        <div>
                            <div class="range-label"><?php esc_html_e('End Date', 'banca-core'); ?></div>
                            <div class="inp-container">
                                <input type="text" id="loanEndDate" placeholder="Select Date">
                            </div>
                        </div>
                    </div>


                </div>
            </div>

            <div class="col-lg-5 pl-lg-35">
                <div class="calculator-result-widget wow fadeInUp" data-wow-delay="0.3s">
                    <div class="pie-wrapper mt-25" id="loan_graph_circle">
                        <div class="label">
                            <?php esc_html_e('Total Amount', 'banca-core'); ?>
                            <h2 class="LoanTotalAmount"></h2>
                        </div>
                        <div class="pie">
                            <div class="left-side half-circle"></div>
                            <div class="right-side half-circle"></div>
                        </div>
                        <div class="circle-border"></div>
                    </div>

                    <div class="graph-indicator">
                        <div><span class="blue-dot"></span><?php esc_html_e('EMI Amount', 'banca-core'); ?></div>
                        <div><span class="orange-dot"></span><?php esc_html_e('Interest Payable', 'banca-core'); ?></div>
                    </div>

                    <ul class="loan-calculation list-unstyled">
                        <li>
                            <span class="label"><?php esc_html_e('EMI Amount (Principal + Interest)', 'banca-core'); ?></span>
                            <span class="amount LoanTotalAmount"></span>
                        </li>
                        <li>
                            <span class="label"><?php esc_html_e('Interest Payable', 'banca-core') ?></span>
                            <span class="amount" id="InterestPayable"></span>
                        </li>
                        <li>
                            <span class="label"><?php esc_html_e('Loan Duration', 'banca-core'); ?></span>
                            <span class="amount LoanTotalDuration"></span>
                        </li>
                        <li>
                            <span class="label"><?php esc_html_e('Your EMI Amount', 'banca-core'); ?></span>
                            <span class="amount" id="emiAmount"></span>
                        </li>
                    </ul>
                    <?php
                    if (!empty($btn_label)) { ?>
                        <a <?php Banca_Core_Helper()->the_button($settings['btn_url']) ?> class="theme-btn theme-btn-lg mt-20 w-100">
                            <?php echo esc_html($btn_label) ?>
                            <i class="arrow_right"></i>
                        </a>
                        <?php
                    }
                    ?>
                </div>
            </div>
        </div>
    </div>
</section>

<script>

    ;(function($) {
        'use strict';

        $(document).ready(function () {

            var SelectedAmount,
                selectedTime = {},
                SelectedRoi;

            if (typeof wNumb !== "undefined") {
                var AmountFormat = wNumb({
                    decimals: 2,
                    thousand: ",",
                    prefix: "<?php echo esc_js($currency) ?>",
                });
                var AmountFormatNoMerge = wNumb({
                    decimals: 2,
                    thousand: ",",
                });

                var TimeFormatMonths = wNumb({
                    suffix: " months",
                });
                var TimeFormatYears = wNumb({
                    suffix: " years",
                });
                var TimeFormatWeeks = wNumb({
                    suffix: " weeks",
                });
                var RoiFormat = wNumb({
                    suffix: " %",
                });
            }

            var mySlider = document.getElementById("RangeSlider");
            var mySliderMonth = document.getElementById("MonthRangeSlider");
            var mySliderWeekly = document.getElementById("WeekRangeSlider");
            var mySliderYear = document.getElementById("YearRangeSlider");
            var mySliderROI = document.getElementById("RoiRangeSlider");
            var inputFormat = document.getElementById("SetRange");
            var inputMonthFormat = document.getElementById("SetMonthRange");

            function clickOnPip(sliderName, This) {
                var value = Number(This.getAttribute("data-value"));
                sliderName.noUiSlider.set(value);
            }

            function SetPipsOnSlider(PipsName, sliderName) {
                for (var i = 0; i < PipsName.length; i++) {
                    PipsName[i].style.cursor = "pointer";
                    PipsName[i].addEventListener("click", function () {
                        clickOnPip(sliderName, this);
                    });
                }
            }

            if (mySlider && mySliderYear && mySliderMonth && mySliderWeekly) {

                noUiSlider.create(mySlider, {
                    start: [<?php echo esc_js($yearly_tab_start_loan2) ?>],
                    connect: "lower",
                    range: {
                        min: <?php echo esc_js($yearly_tab_min_loan2) ?>,
                        max: <?php echo esc_js($yearly_tab_max_loan2) ?>,
                    },
                    format: wNumb({
                        decimals: 0,
                    }),
                    pips: {
                        mode: "values",
                        density: 100,
                        values: [5000, 25000, 50000, 75000, 100000, 125000, 150000],
                        stepped: true,
                        format: wNumb({
                            encoder: function (a) {
                                return a / 1000;
                            },
                            decimals: 0,
                            prefix: "<?php echo esc_js($currency) ?>",
                            suffix: "k",
                        }),
                    },
                });

                noUiSlider.create(mySliderYear, {
                    start: [<?php echo esc_js($yearly_tab_start_loan_duration) ?>],
                    connect: "lower",
                    range: {
                        min: <?php echo esc_js($yearly_tab_min_loan_duration) ?>,
                        max: <?php echo esc_js($yearly_tab_max_loan_duration) ?>,
                    },
                    format: wNumb({
                        decimals: 0,
                    }),
                    pips: {
                        mode: "values",
                        density: 100,
                        values: (function() {
                            let values = [];
                            for (let i = <?php echo esc_js($yearly_tab_min_loan_duration) ?>; i <= <?php echo esc_js($yearly_tab_max_loan_duration) ?>; i++) {
                                values.push(i);
                            }
                            return values;
                        })(),
                        stepped: true,
                        format: wNumb({
                            decimals: 0,
                        }),
                    },
                });

                noUiSlider.create(mySliderMonth, {
                    start: [<?php echo esc_js($monthly_tab_start_loan_duration) ?>],
                    connect: "lower",
                    range: {
                        min: <?php echo esc_js($monthly_tab_min_loan_duration) ?>,
                        max: <?php echo esc_js($monthly_tab_max_loan_duration) ?>,
                    },
                    format: wNumb({
                        decimals: 0,
                    }),
                    pips: {
                        mode: "values",
                        density: 100,
                        values: (function() {
                            let values = [];
                            for (let i = <?php echo esc_js($monthly_tab_min_loan_duration) ?>; i <= <?php echo esc_js($monthly_tab_max_loan_duration) ?>; i++) {
                                values.push(i);
                            }
                            return values;
                        })(),
                        stepped: true,
                        format: wNumb({
                            decimals: 0,
                        }),
                    },
                });

                noUiSlider.create(mySliderWeekly, {
                    start: [<?php echo esc_js($weekly_tab_start_loan_duration) ?>],
                    connect: "lower",
                    range: {
                        min: <?php echo esc_js($weekly_tab_min_loan_duration) ?>,
                        max: <?php echo esc_js($weekly_tab_max_loan_duration) ?>,
                    },
                    format: wNumb({
                        decimals: 0,
                    }),
                    pips: {
                        mode: "values",
                        density: 100,
                        values: (function() {
                            let values = [];
                            for (let i = <?php echo esc_js($weekly_tab_min_loan_duration) ?>; i <= <?php echo esc_js($weekly_tab_max_loan_duration) ?>; i++) {
                                values.push(i);
                            }
                            return values;
                        })(),
                        stepped: true,
                        format: wNumb({
                            decimals: 0,
                        }),
                    },
                });

                var pips = mySlider.querySelectorAll(".noUi-value");
                var pipsMonth = mySliderMonth.querySelectorAll(".noUi-value");
                var pipsYear = mySliderYear.querySelectorAll(".noUi-value");

                SetPipsOnSlider(pips, mySlider);
                SetPipsOnSlider(pipsMonth, mySliderMonth);
                SetPipsOnSlider(pipsYear, mySliderYear);

                mySlider.noUiSlider.on("update", function (values, handle) {
                    SelectedAmount = AmountFormat.from(values[handle]);
                    CalculateAmount();
                });

                inputFormat.addEventListener("change", function () {
                    mySlider.noUiSlider.set(this.value);
                });

                mySliderMonth.noUiSlider.on("update", function (values, handle) {
                    selectedTime = {
                        type: "month",
                        value: TimeFormatMonths.from(values[handle]),
                    };
                    CalculateAmount();
                });

                mySliderWeekly.noUiSlider.on("update", function (values, handle) {
                    selectedTime = {
                        type: "week",
                        value: TimeFormatWeeks.from(values[handle]),
                    };
                    CalculateAmount();
                });

                mySliderYear.noUiSlider.on("update", function (values, handle) {
                    selectedTime = {
                        type: "year",
                        value: TimeFormatYears.from(values[handle]),
                    };
                    CalculateAmount();
                });

                inputMonthFormat.addEventListener("change", function () {
                    if ($("#monthTab.active").length > 0) {
                        mySliderMonth.noUiSlider.set(this.value);
                    } else if ($("#yearTab.active").length > 0) {
                        mySliderYear.noUiSlider.set(this.value);
                    } else if ($("#weekTab.active").length > 0) {
                        mySliderWeekly.noUiSlider.set(this.value);
                    } else {
                        mySliderMonth.noUiSlider.set(this.value);
                    }
                });

                $("#yearTab-tab").on("click", function () {
                    $(".active_bar").removeClass("left");
                    mySliderYear.noUiSlider.on("update", function (values, handle) {
                        selectedTime = {
                            type: "year",
                            value: TimeFormatYears.from(values[handle]),
                        };
                        CalculateAmount();
                    });
                });

                $("#monthTab-tab").on("click", function () {
                    $(".active_bar").addClass("left");
                    mySliderMonth.noUiSlider.on("update", function (values, handle) {
                        selectedTime = {
                            type: "month",
                            value: TimeFormatMonths.from(values[handle]),
                        };
                        CalculateAmount();
                    });
                });

                $("#weekTab-tab").on("click", function () {
                    mySliderWeekly.noUiSlider.on("update", function (values, handle) {
                        selectedTime = {
                            type: "week",
                            value: TimeFormatWeeks.from(values[handle]),
                        };
                        CalculateAmount();
                    });
                });
            }

            if (mySliderROI) {
                noUiSlider.create(mySliderROI, {
                    start: [<?php echo esc_js($yearly_tab_start_interest_rate) ?>],
                    connect: "lower",
                    range: {
                        min: <?php echo esc_js($yearly_tab_min_interest_rate) ?>,
                        max: <?php echo esc_js($yearly_tab_max_interest_rate) ?>
                    },
                    format: wNumb({
                        decimals: 2,
                    }),
                });

                var inputRoiFormat = document.getElementById("SetRoiRange");

                mySliderROI.noUiSlider.on("update", function (values, handle) {
                    inputRoiFormat.value = values[handle];
                    SelectedRoi = RoiFormat.from(values[handle]);
                    CalculateAmount();
                });

                inputRoiFormat.addEventListener("change", function () {
                    mySliderROI.noUiSlider.set(this.value);
                });
            }

            function CalculateAmount() {
                if (SelectedAmount === undefined || SelectedRoi === undefined || selectedTime.value === undefined) {
                    return; // Ensure all necessary values are set before performing calculations
                }

                let LoanTime = selectedTime.value; // Loan Duration
                let LoanAmount = SelectedAmount; // Loan Amount
                let InterestRate = SelectedRoi; // Annual Interest Rate
                let CompoundingFrequency = selectedTime.type;

                let totalNumberOfPayments;
                let periodInterestRate;
                let paymentFrequency;

                switch (CompoundingFrequency) {
                    case "year":
                        totalNumberOfPayments = LoanTime;
                        periodInterestRate = (InterestRate / 100);
                        paymentFrequency = "year";
                        break;
                    case "month":
                        totalNumberOfPayments = LoanTime;
                        periodInterestRate = (InterestRate / 100) / 12;
                        paymentFrequency = "month";
                        break;
                    case "week":
                        totalNumberOfPayments = LoanTime;
                        periodInterestRate = (InterestRate / 100) / 52;
                        paymentFrequency = "week";
                        break;
                    default:
                        totalNumberOfPayments = LoanTime;
                        periodInterestRate = (InterestRate / 100) / 12;
                        paymentFrequency = "month";
                }

                let EMI = LoanAmount * periodInterestRate * Math.pow(1 + periodInterestRate, totalNumberOfPayments) / (Math.pow(1 + periodInterestRate, totalNumberOfPayments) - 1);
                let totalAmountPaid = EMI * totalNumberOfPayments;
                let TotalInterest = totalAmountPaid - LoanAmount;

                if ($(inputFormat).hasClass("noTextMerge")) {
                    inputFormat.value = AmountFormatNoMerge.to(SelectedAmount);
                } else {
                    inputFormat.value = AmountFormat.to(SelectedAmount);
                }

                $(".LoanTotalAmount").text(AmountFormat.to(totalAmountPaid));

                if ($(inputMonthFormat).hasClass("noTextMerge")) {
                    inputMonthFormat.value = selectedTime.value;
                } else {
                    inputMonthFormat.value = selectedTime.value + " " + selectedTime.type;
                }

                if ($(".LoanTotalDuration").length) {
                    $(".LoanTotalDuration").text(selectedTime.value + " " + selectedTime.type);
                    if (selectedTime.type) {
                        $(".loanTermIndicator").text(selectedTime.type.charAt(0));
                    }
                }

                $("#emiAmount").text(AmountFormat.to(EMI));
                $("#InterestPayable").text(AmountFormat.to(TotalInterest));
                $("#InterestAmount").text((InterestRate).toFixed(2) + "%");

                var loanGraphEl = $("#loan_graph_circle");
                var percent = (100 * TotalInterest) / totalAmountPaid;
                loanGraphEl.find($(".left-side")).css({ transform: "rotate(" + percent * 3.6 + "deg)" });

                if (percent <= 50) {
                    loanGraphEl.find($(".right-side")).css({ display: "none" });
                } else if (percent > 50) {
                    loanGraphEl.find($(".right-side")).css({ transform: "rotate(180deg)" });
                    loanGraphEl.find($(".pie")).css({ clip: "rect(auto, auto, auto, auto)" });
                }

                // Display the amortization schedule
                let balance = LoanAmount;
                let schedule = [];
                for (let i = 1; i <= totalNumberOfPayments; i++) {
                    let interest = balance * periodInterestRate;
                    let principal = EMI - interest;
                    balance -= principal;
                    schedule.push({
                        period: i,
                        beginningBalance: (balance + principal).toFixed(2),
                        payment: EMI.toFixed(2),
                        interest: interest.toFixed(2),
                        principal: principal.toFixed(2),
                        endingBalance: balance.toFixed(2)
                    });
                }

                console.log(schedule);

                // You can replace this console.log with code to display the schedule in your HTML
            }

            if ($("#loanStartDate").length) {
                $("#loanStartDate").flatpickr({
                    altInput: true,
                    altFormat: "F j, Y",
                    dateFormat: "Y-m-d",
                });
                $("#loanEndDate").flatpickr({
                    altInput: true,
                    altFormat: "F j, Y",
                    dateFormat: "Y-m-d",
                });
            }

        });

    })(jQuery);

</script>